
TYPO3.Flow - Feature # 27015

Status: Resolved Priority: Should have
Author: Andreas Förthner Category: Object
Created: 2011-05-24 Assigned To: Andreas Förthner
Updated: 2011-09-09 Due date:
PHP Version:
Has patch:
Complexity:
Subject: __sleep does not respect entities lying in arrays or other collections
Description

__sleep has to iterate over arrays/collections/splObjectSorage and search for entities that should not be serialized, but stored as
identity array.

Associated revisions
Revision 2e39bf14 - 2011-09-08 14:20 - Andreas Förthner

[FEATURE] Serialization can handle entities in arrays

Resolves: #27015
Change-Id: I10f925a56c15d199e3f49bc0974496b88120f129

History
#1 - 2011-05-27 08:22 - Mr. Hudson

Patch set 3 of change I10f925a56c15d199e3f49bc0974496b88120f129 has been pushed to the review server.
It is available at http://review.typo3.org/2377

#2 - 2011-05-27 14:09 - Mr. Hudson

Patch set 4 of change I10f925a56c15d199e3f49bc0974496b88120f129 has been pushed to the review server.
It is available at http://review.typo3.org/2377

#3 - 2011-06-21 17:46 - Mr. Hudson

Patch set 5 of change I10f925a56c15d199e3f49bc0974496b88120f129 has been pushed to the review server.
It is available at http://review.typo3.org/2377

#4 - 2011-06-27 15:13 - Mr. Hudson

Patch set 6 of change I10f925a56c15d199e3f49bc0974496b88120f129 has been pushed to the review server.
It is available at http://review.typo3.org/2377

#5 - 2011-06-27 15:19 - Karsten Dambekalns
- Status changed from Accepted to Under Review
#6 - 2011-06-27 15:37 - Mr. Hudson

Patch set 7 of change I10f925a56c15d199e3f49bc0974496b88120f129 has been pushed to the review server.
It is available at http://review.typo3.org/2377

#7 - 2011-08-04 09:13 - Sebastian Kurfuerst
- Priority changed from Must have to Should have

#8 - 2011-08-26 16:18 - Karsten Dambekalns
- Target version changed from 1.0 beta 1 to 1.0 beta 2

Postponed for beta 2, needs some functional test(s).

#9 - 2011-09-08 14:19 - Mr. Hudson

Patch set 8 of change I10f925a56c15d199e3f49bc0974496b88120f129 has been pushed to the review server.
It is available at http://review.typo3.org/2377

#10 - 2011-09-08 14:21 - Mr. Hudson

Patch set 9 of change I10f925a56c15d199e3f49bc0974496b88120f129 has been pushed to the review server.
It is available at http://review.typo3.org/2377

#11 - 2011-09-09 11:06 - Andreas Förthner
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:2e39bf1491f141ebe548a4db936a3733760d34ed.
